# Generated by Django 2.2.2 on 2019-06-12 08:50

import django.db.models.deletion
from django.db import migrations, models

import djstripe.enums
import djstripe.fields


class Migration(migrations.Migration):

    dependencies = [
        ("djstripe", "0003_auto_20181117_2328_squashed_0004_auto_20190227_2114")
    ]

    operations = [
        migrations.AlterField(
            model_name="subscriptionitem",
            name="quantity",
            field=models.PositiveIntegerField(
                blank=True,
                help_text="The quantity of the plan to which the customer should be subscribed.",
                null=True,
            ),
        ),
        migrations.AddField(
            model_name="invoice",
            name="auto_advance",
            field=models.NullBooleanField(
                help_text="Controls whether Stripe will perform automatic collection of the invoice. When false, the invoice’s state will not automatically advance without an explicit action."
            ),
        ),
        migrations.RenameField(
            model_name="account", old_name="business_logo", new_name="branding_icon"
        ),
        migrations.AddField(
            model_name="account",
            name="branding_logo",
            field=models.ForeignKey(
                help_text="A logo for the account that will be used in Checkout instead of the icon and without the account’s name next to it if provided. Must be at least 128px x 128px.",
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="logo_account",
                to="djstripe.FileUpload",
            ),
        ),
        migrations.AddField(
            model_name="account",
            name="business_profile",
            field=djstripe.fields.JSONField(
                blank=True,
                help_text="Optional information related to the business.",
                null=True,
            ),
        ),
        migrations.AddField(
            model_name="account",
            name="business_type",
            field=djstripe.fields.StripeEnumField(
                blank=True,
                default="",
                enum=djstripe.enums.BusinessType,
                help_text="The business type.",
                max_length=10,
            ),
        ),
        migrations.AddField(
            model_name="account",
            name="company",
            field=djstripe.fields.JSONField(
                blank=True,
                help_text="Information about the company or business. This field is null unless business_type is set to company.",
                null=True,
            ),
        ),
        migrations.AddField(
            model_name="account",
            name="individual",
            field=djstripe.fields.JSONField(
                blank=True,
                help_text="Information about the person represented by the account. This field is null unless business_type is set to individual.",
                null=True,
            ),
        ),
        migrations.AddField(
            model_name="account",
            name="requirements",
            field=djstripe.fields.JSONField(
                blank=True,
                help_text="Information about the requirements for the account, including what information needs to be collected, and by when.",
                null=True,
            ),
        ),
        migrations.AddField(
            model_name="account",
            name="settings",
            field=djstripe.fields.JSONField(
                blank=True,
                help_text="Account options for customizing how the account functions within Stripe.",
                null=True,
            ),
        ),
        migrations.AlterModelOptions(
            name="invoice", options={"ordering": ["-created"]}
        ),
        migrations.RenameField(
            model_name="invoice",
            old_name="application_fee",
            new_name="application_fee_amount",
        ),
        migrations.RemoveField(model_name="invoice", name="date"),
        migrations.AddField(
            model_name="invoice",
            name="status_transitions",
            field=djstripe.fields.JSONField(blank=True, null=True),
        ),
    ]
