# Generated by Django 2.2.4 on 2019-08-04 05:39

from django.db import migrations, models

import djstripe.enums
import djstripe.fields


class Migration(migrations.Migration):

    dependencies = [("djstripe", "0006_auto_20190729_1329")]

    operations = [
        migrations.AddField(
            model_name="customer",
            name="address",
            field=djstripe.fields.JSONField(
                blank=True, help_text="The customer's address.", null=True
            ),
        ),
        migrations.AddField(
            model_name="customer",
            name="invoice_prefix",
            field=models.CharField(
                blank=True,
                default="",
                help_text="The prefix for the customer used to generate unique invoice numbers.",
                max_length=255,
            ),
        ),
        migrations.AddField(
            model_name="customer",
            name="invoice_settings",
            field=djstripe.fields.JSONField(
                blank=True,
                help_text="The customer's default invoice settings.",
                null=True,
            ),
        ),
        migrations.AddField(
            model_name="customer",
            name="name",
            field=models.TextField(
                blank=True,
                default="",
                help_text="The customer's full name or business name.",
                max_length=5000,
            ),
        ),
        migrations.AddField(
            model_name="customer",
            name="phone",
            field=models.TextField(
                blank=True,
                default="",
                help_text="The customer's phone number.",
                max_length=5000,
            ),
        ),
        migrations.AddField(
            model_name="customer",
            name="preferred_locales",
            field=djstripe.fields.JSONField(
                blank=True,
                help_text="The customer's preferred locales (languages), ordered by preference.",
                null=True,
            ),
        ),
        migrations.AddField(
            model_name="customer",
            name="tax_exempt",
            field=djstripe.fields.StripeEnumField(
                default="",
                enum=djstripe.enums.CustomerTaxExempt,
                help_text='Describes the customer\'s tax exemption status. When set to reverse, invoice and receipt PDFs include the text "Reverse charge".',
                max_length=7,
            ),
        ),
    ]
