# Generated by Django 2.2.4 on 2019-09-10 08:27

from django.db import migrations, models

import djstripe.enums
import djstripe.fields


class Migration(migrations.Migration):

    dependencies = [("djstripe", "0018_auto_20190910_0759")]

    operations = [
        migrations.AlterField(
            model_name="paymentintent",
            name="client_secret",
            field=models.TextField(
                help_text="The client secret of this PaymentIntent. Used for client-side retrieval using a publishable key.",
                max_length=5000,
            ),
        ),
        migrations.AlterField(
            model_name="paymentintent",
            name="description",
            field=models.TextField(
                default="",
                help_text="An arbitrary string attached to the object. Often useful for displaying to users.",
                max_length=1000,
            ),
        ),
        migrations.AlterField(
            model_name="paymentintent",
            name="receipt_email",
            field=models.CharField(
                blank=True,
                default="",
                help_text="Email address that the receipt for the resulting payment will be sent to.",
                max_length=255,
            ),
            preserve_default=False,
        ),
        migrations.AlterField(
            model_name="paymentintent",
            name="statement_descriptor",
            field=models.CharField(
                blank=True,
                default="",
                help_text="For non-card charges, you can use this value as the complete description that appears on your customers’ statements. Must contain at least one letter, maximum 22 characters.",
                max_length=22,
            ),
            preserve_default=False,
        ),
        migrations.AlterField(
            model_name="paymentmethod",
            name="type",
            field=models.CharField(
                blank=True,
                default="",
                help_text="The type of the PaymentMethod. An additional hash is included on the PaymentMethod with a name matching this value. It contains additional information specific to the PaymentMethod type.",
                max_length=255,
            ),
            preserve_default=False,
        ),
        migrations.AlterField(
            model_name="session",
            name="billing_address_collection",
            field=djstripe.fields.StripeEnumField(
                blank=True,
                default="",
                enum=djstripe.enums.SessionBillingAddressCollection,
                help_text="The value (auto or required) for whether Checkoutcollected the customer’s billing address.",
                max_length=8,
            ),
            preserve_default=False,
        ),
        migrations.AlterField(
            model_name="session",
            name="cancel_url",
            field=models.TextField(
                blank=True,
                default="",
                help_text="The URL the customer will be directed to if theydecide to cancel payment and return to your website.",
                max_length=5000,
            ),
            preserve_default=False,
        ),
        migrations.AlterField(
            model_name="session",
            name="client_reference_id",
            field=models.TextField(
                blank=True,
                default="",
                help_text="A unique string to reference the Checkout Session.This can be a customer ID, a cart ID, or similar, andcan be used to reconcile the session with your internal systems.",
                max_length=5000,
            ),
            preserve_default=False,
        ),
        migrations.AlterField(
            model_name="session",
            name="customer_email",
            field=models.CharField(
                blank=True,
                default="",
                help_text="If provided, this value will be used when the Customer object is created.",
                max_length=255,
            ),
            preserve_default=False,
        ),
        migrations.AlterField(
            model_name="session",
            name="locale",
            field=models.CharField(
                blank=True,
                default="",
                help_text="The IETF language tag of the locale Checkout is displayed in.If blank or auto, the browser’s locale is used.",
                max_length=255,
            ),
            preserve_default=False,
        ),
        migrations.AlterField(
            model_name="session",
            name="mode",
            field=djstripe.fields.StripeEnumField(
                blank=True,
                default="",
                enum=djstripe.enums.SessionMode,
                help_text="The mode of the Checkout Session, one of payment, setup, or subscription.",
                max_length=12,
            ),
            preserve_default=False,
        ),
        migrations.AlterField(
            model_name="session",
            name="submit_type",
            field=djstripe.fields.StripeEnumField(
                blank=True,
                default="",
                enum=djstripe.enums.SubmitTypeStatus,
                help_text="Describes the type of transaction being performed by Checkoutin order to customize relevant text on the page, such as the submit button.",
                max_length=6,
            ),
            preserve_default=False,
        ),
        migrations.AlterField(
            model_name="session",
            name="success_url",
            field=models.TextField(
                blank=True,
                default="",
                help_text="The URL the customer will be directed to after the payment or subscriptioncreation is successful.",
                max_length=5000,
            ),
            preserve_default=False,
        ),
        migrations.AlterField(
            model_name="setupintent",
            name="application",
            field=models.CharField(
                blank=True,
                default="",
                help_text="ID of the Connect application that created the SetupIntent.",
                max_length=255,
            ),
            preserve_default=False,
        ),
        migrations.AlterField(
            model_name="setupintent",
            name="client_secret",
            field=models.TextField(
                blank=True,
                default="",
                help_text="The client secret of this SetupIntent. Used for client-side retrieval using a publishable key.",
                max_length=5000,
            ),
            preserve_default=False,
        ),
    ]
